Description

The Content-disposition header can be used to set a filename for downloaded objects.  MN implementations currently do not

coordinate in how this value is set.  Some metadata standards such as EML provide a value for the filename for data objects, and in

cases where this is available it could be used.  However, DataONE does not make this science metadata value readily available, so

MN implementations will have to locate it themselves.  When such a user-supplied filename is not available, an alternative might be

to name the file using the identifier and a standard file extension for the appropriate object format type. The exact algorithm should

be discussed.

History

#1 - 2012-10-11 15:35 - Dave Vieglais

- Target version changed from Sprint-2012.39-Block.5.4 to Sprint-2012.41-Block.6.1

#2 - 2012-10-24 17:39 - Chris Jones

- Target version changed from Sprint-2012.41-Block.6.1 to Sprint-2012.44-Block.6.2

#3 - 2012-12-12 18:33 - Chris Jones

- Target version changed from Sprint-2012.44-Block.6.2 to 2013.2-Block.1.1

#4 - 2013-03-01 19:09 - Chris Jones

- Target version changed from 2013.2-Block.1.1 to 2013.12-Block.2.2

#5 - 2013-08-02 17:20 - Dave Vieglais

- Target version changed from 2013.12-Block.2.2 to 2013.35-Block.5.1

#6 - 2014-01-06 18:04 - Chris Jones

- Target version changed from 2013.35-Block.5.1 to 2014.6-Block.1.3

#7 - 2014-03-14 18:44 - Roger Dahl

- Assignee changed from Matthew Jones to Roger Dahl

#8 - 2014-03-14 18:47 - Roger Dahl

- Target version changed from 2014.6-Block.1.3 to 2014.14-Block.2.3

#9 - 2014-08-26 14:21 - Roger Dahl

- Status changed from New to Closed

- translation missing: en.field_remaining_hours set to 0.0
I don't think there is much more that can be said about this than what Matt put in the ticket. There will be as many different possible locations for this

data as there are MNs. All we can say is that the MN should try to make this info available from somewhere and that we should capture and expose it.

I also agree with the points that Matt made during the AHM, that this information should not go into the System Metadata.

#10 - 2014-08-26 14:24 - Dave Vieglais

- Estimated time set to 0.00

- Status changed from Closed to New

- Assignee changed from Roger Dahl to Dave Vieglais

This issue is still outstanding and not resolved. Hence reopening and reassigning.

#11 - 2014-09-24 18:28 - Dave Vieglais

- Target version changed from 2014.14-Block.2.3 to CCI-1.4.2

#12 - 2014-09-25 16:47 - Dave Vieglais

- Target version changed from CCI-1.4.2 to CCI-1.5.0

#13 - 2014-10-02 19:41 - Dave Vieglais

- Target version changed from CCI-1.5.0 to CCI-2.0.0

#14 - 2015-07-01 19:50 - Dave Vieglais

- Status changed from New to In Progress

- % Done changed from 0 to 30

Review status

#15 - 2015-07-10 15:41 - Ben Leinfelder

Here is how Metacat v2.get() works:

Use v2.SystemMetadata.fileName if populated

Construct filename based on identifier + extension

#  Extension comes from ObjectFormatInfo utility that Matt wrote to partially

address these shortcomings in v1.

Note the MediaType does not currently have a defined place for preferred filename extension in cases where we must construct a filename from

scratch.

#16 - 2016-03-25 01:22 - Dave Vieglais

- Status changed from In Progress to Closed

- % Done changed from 30 to 100
